# -*- coding: utf-8 -*-
"""
Created on Thu May 23 14:50:42 2024

@author: Stéphane Pasquet
@url : https://www.mathweb.fr/euclide/un-jeu-de-memoire/
"""

from menu import Menu
from chrono import Chrono
from memorygame import MemoryGame

if __name__ == '__main__':
    running = True
    while running:
        m = Menu()
        selected_level = m.run()

        if selected_level != None:
            game = MemoryGame(selected_level)
            timer, score, paires = game.run()
            if (score == paires):
                C = Chrono(timer,selected_level)
                running = C.run()
            else:
                running = False
        else:
            running = False